package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.ClienteDireccionDAO;
import com.rjconsultores.ventaboletos.entidad.ClienteDireccion;
import com.rjconsultores.ventaboletos.service.ClienteDireccionService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

/**
 * 
 * @author Desenvolvimento
 */
@Service("clienteDireccionService")
public class ClienteDireccionServiceImpl implements ClienteDireccionService {

	@Autowired
	private ClienteDireccionDAO clienteDAO;

	public List<ClienteDireccion> obtenerTodos() {
		return clienteDAO.obtenerTodos();
	}

	public ClienteDireccion obtenerID(Integer id) {
		return clienteDAO.obtenerID(id);
	}

	@Transactional
	public ClienteDireccion suscribir(ClienteDireccion entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return clienteDAO.suscribir(entidad);
	}

	@Transactional
	public ClienteDireccion actualizacion(ClienteDireccion entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return clienteDAO.actualizacion(entidad);
	}

	@Transactional
	public void borrar(ClienteDireccion entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.FALSE);

		clienteDAO.actualizacion(entidad);
	}

	public List<ClienteDireccion> buscar(Integer clienteId) {
		return clienteDAO.buscar(clienteId);
	}
}
